Grumpy Bookstore Owner - Leetcode 1052 - Python

Поділитися
Вставка
  • Опубліковано 27 сер 2024

КОМЕНТАРІ • 40

  • @NeetCodeIO
    @NeetCodeIO  2 місяці тому +39

    sorry about missing the last couple problems. whenever i come back to an easyish question, i feel bad cause people are gonna think im dodging the hard ones
    end of the month is when it gets tough so lets gooooo 😤😤

    • @adilansari-hq9ge
      @adilansari-hq9ge 2 місяці тому +1

      Hi Navdeep, Thank you for uploading. Please upload easyish questions as well , it is needed to boost confidence and build the foundation.

    • @akash-kumar737
      @akash-kumar737 2 місяці тому +3

      No worries brother. There are others too who help us but your explanation is quite exceptional 😅.

    • @fancypants6062
      @fancypants6062 2 місяці тому +2

      If you have the time and energy to go back to the bouquet of flowers question, I would really appreciate it.
      Your channel is great, thank you for what you are doing here :)

    • @shahzodshafizod
      @shahzodshafizod 2 місяці тому

      Hi bro. Thanks for the best Leetcode content on UA-cam. First of all you're the only Indian who speaks without accent, I'd like to here your Indian accent too. Secondly your absence for some period of days is a good experience for those who are dependent of your videos and don't even try to solve problems by themselves.

    • @sauravsingh4497
      @sauravsingh4497 2 місяці тому

      Can you help us in the previous two binary search questions?

  • @TheWhiteFlame574
    @TheWhiteFlame574 2 місяці тому +45

    we needed you yesterday and the day before

  • @MykolaPavluchynskyi
    @MykolaPavluchynskyi 2 місяці тому +2

    One optimization can be - to do the logic about recalculating max window inside if grumpy[r] - because we only need to recalculate if we find next grumpy == 1. So lines 12-16 - can be in if section. Instead of if we have to use while, but we will do less max comparisons for sure, because we will have amount of max comparisons equals to amount of grumpy days, instead of length of the array.

  • @DebopriyoBasu
    @DebopriyoBasu 2 місяці тому

    You post videos at the time I solve daily leetcode problems :) If I get stuck, it's a lot of help. Thanks and keep posting!

  • @laceycodetime
    @laceycodetime 2 місяці тому +3

    This leetcode question would be a good plot for an anime

  • @harshithd9539
    @harshithd9539 2 місяці тому +4

    we needed you for yesterday and day before yesterday problem sir

  • @pat777b
    @pat777b 2 місяці тому

    This is what I came up with.
    class Solution:
    def maxSatisfied(self, customers: List[int], grumpy: List[int], minutes: int) -> int:
    left = 0
    right = minutes - 1
    candidate = 0
    for i in range(len(customers)):
    candidate += customers[i]*abs(grumpy[i] - 1)
    for i in range(left, right+1):
    candidate += customers[i]*grumpy[i]
    ans = candidate
    while right < len(customers) - 1:
    candidate += customers[right+1]*grumpy[right+1]
    candidate -= customers[left]*grumpy[left]
    if candidate > ans:
    ans = candidate
    left += 1
    right += 1
    return ans

  • @pastori2672
    @pastori2672 2 місяці тому +2

    honestly not even reading the description is reasonable they need to hire someone specifically for these problem descriptions

  • @chien-yuyeh9386
    @chien-yuyeh9386 2 місяці тому +1

    So nice to see ur video again!

  • @innovativesmartlearning9610
    @innovativesmartlearning9610 2 місяці тому +1

    can you please upload videos of leetcode weekly and biweekly also

  • @bhuvan9956
    @bhuvan9956 2 місяці тому +3

    "We are bigger than everybody else" lol

  • @benedictaamoah5310
    @benedictaamoah5310 2 місяці тому +1

    First! Thank you very much Sir for all your help.

  • @prajyot2021
    @prajyot2021 2 місяці тому

    what if value 5 from ex 1 was at index 1, then a/c to solution left will removed leaving us with not max customers. Can Someone confirm or correct?

  • @anshumansinha5874
    @anshumansinha5874 2 місяці тому +1

    Q) 1156. Swap For Longest Repeated Character Substring .
    Can this be related to your earlier solution of 424. Longest Repeating Character Replacement ?

  • @mohaimenchowdhury
    @mohaimenchowdhury 2 місяці тому

    I solved it using Prefix sum + 0/1 Knapsack, but runtime was poor 😐

  • @xhero9642
    @xhero9642 2 місяці тому

    Can you share the solution for 1552. Magnetic Force Between Two Balls

  • @Moirai0_0
    @Moirai0_0 2 місяці тому

    Thanks for the video.

  • @dilmurodabdusamadov5572
    @dilmurodabdusamadov5572 2 місяці тому

    i did prefix sum, worked somehow

  • @mohammedsuhail.s192
    @mohammedsuhail.s192 2 місяці тому

    bro literally missing you few days .... put videos daily

  • @timonshannikov6452
    @timonshannikov6452 2 місяці тому

    Thanks a lot as always)

  • @mohanedomer9081
    @mohanedomer9081 2 місяці тому

    where were you yester day brother , I needed you 😐😐

  • @faelzinhh156
    @faelzinhh156 2 місяці тому

    Nice

  • @zorxey3189
    @zorxey3189 2 місяці тому +1

    grumpy

  • @tanjilurrahmanjim6507
    @tanjilurrahmanjim6507 2 місяці тому

    if grumpy[r] == 1:

  • @the-wonderful-day
    @the-wonderful-day 2 місяці тому +2

    1st!

  • @anonymouslurker313
    @anonymouslurker313 2 місяці тому

    early

  • @RajdeepJadeja
    @RajdeepJadeja 2 місяці тому

    Neetcode went on vacation when I needed him the most🥲